Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.ide
Class MetaABMModelerPlugin

    java.lang.Object
      org.eclipse.emf.common.util.DelegatingResourceLocator
          org.eclipse.emf.common.EMFPlugin
              org.metaabm.ide.MetaABMModelerPlugin

All Implemented Interfaces:
  org.eclipse.emf.common.util.Logger, org.eclipse.emf.common.util.ResourceLocator

    public final class MetaABMModelerPlugin

extends org.eclipse.emf.common.EMFPlugin

This is the central singleton for the metaabm editor plugin.

Nested Class Summary
`static class` | `MetaABMModelerPlugin.Implementation` The actual implementation of the Eclipse Plugin.

Nested classes/interfaces inherited from class org.eclipse.emf.common.EMFPlugin
`org.eclipse.emf.common.EMFPlugin.EclipsePlugin, org.eclipse.emf.common.EMFPlugin.InternalEclipsePlugin, org.eclipse.emf.common.EMFPlugin.InternalHelper`

Field Summary
`static MetaABMModelerPlugin` | `INSTANCE` Keep track of the singleton.
`static java.lang.String` | `PLUGIN_ID`

Fields inherited from class org.eclipse.emf.common.EMFPlugin
`delegateResourceLocators, IS_ECLIPSE_RUNNING, IS_RESOURCES_BUNDLE_AVAILABLE`

Fields inherited from class org.eclipse.emf.common.util.DelegatingResourceLocator
`baseURL, images, resourceBundle, shouldTranslate, strings, untranslatedResourceBundle, untranslatedStrings`

Constructor Summary
`MetaABMModelerPlugin()` Create the instance.

Method Summary
`static MetaABMModelerPlugin.Implementation` | `getPlugin()` Returns the singleton instance of the Eclipse plugin.
`org.eclipse.emf.common.util.ResourceLocator` | `getPluginResourceLocator()` Returns the singleton instance of the Eclipse plugin.

Methods inherited from class org.eclipse.emf.common.EMFPlugin
`getDelegateResourceLocators, getPluginLogger, getPrimaryResourceLocator, getSymbolicName, log, main`

Methods inherited from class org.eclipse.emf.common.util.DelegatingResourceLocator
`delegatedGetImage, delegatedGetString, doGetImage, doGetString, extensionFor, getBaseURL, getImage, getString, getString, getString, getString, setShouldTranslate, shouldTranslate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.util.ResourceLocator
`getBaseURL, getImage, getString, getString, getString, getString`

Field Detail

### INSTANCE

    public static final MetaABMModelerPlugin INSTANCE

  Keep track of the singleton.

### PLUGIN_ID

    public static final java.lang.String PLUGIN_ID

See Also:
  Constant Field Values

Constructor Detail

### MetaABMModelerPlugin

    public MetaABMModelerPlugin()

  Create the instance.

Method Detail

### getPluginResourceLocator

    public org.eclipse.emf.common.util.ResourceLocator getPluginResourceLocator()

  Returns the singleton instance of the Eclipse plugin.

  Specified by:
    `getPluginResourceLocator` in class `org.eclipse.emf.common.EMFPlugin`
  Returns:
    the singleton instance.

### getPlugin

    public static MetaABMModelerPlugin.Implementation getPlugin()

  Returns the singleton instance of the Eclipse plugin.

  Returns:
    the singleton instance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD